---
kind: pipeline
name: deploy to coopcloud-mellor
steps:
  - name: deploy website
    image: 3wordchant/docker-cp-deploy:latest
    settings:
      host: mellor.coopcloud.tech
      service: custom_html_servers_coop_app
      source: .
      dest: /usr/share/nginx/html
      deploy_key:
        from_secret: drone_ssh_coopcloud_mellor
trigger:
  branch:
    - main
  event:
    exclude:
      - pull_request
